# SPEC file for Simple Calc extension

%define rname	quicknote
%define version 0.6.0.3
%define release alt5
%define cid 	\{C0CB8BA3-6C1B-47e8-A6AB-1FAB889562D9\}
%define ciddir	%firefox_noarch_extensionsdir/%cid

Name:		%firefox_name-%rname
Version:	%version
Release:	%release

Summary:	QuickNote plugin for Firefox
Summary(ru_RU.UTF-8): расширение QuickNote для Firefox

License:	MPL v1.1 / GPL v2.0
Group:		Networking/WWW
URL:		http://quicknote.mozdev.org
BuildArch:	noarch

Packager:       Nikolay A. Fetisov <naf@altlinux.ru>

Source0:	%{rname}_%version.xpi
Source1:	%name.chrome.manifest

BuildRequires(pre): rpm-build-firefox
BuildRequires:  unzip
Requires: 	%firefox_name = %firefox_version


%description
QuickNote is a Mozilla/Firefox/Thunderbird extension
for quick note taking.

%description -l ru_RU.UTF-8
QuickNote - расширение для Mozilla/Firefox/Thunderbird,
позволяющее быстро делать короткие заметки.

%prep
%setup -c

%install
%__mkdir_p %buildroot/%ciddir
%__cp -r * %buildroot/%ciddir
%__install -m 0644 %SOURCE1 %buildroot/%ciddir/chrome.manifest

%postun
%firefox_uninstall_extension %cid
if [ "$1" = 0 ]; then
  [ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Fri Aug 03 2007 Nikolay A. Fetisov <naf@altlinux.ru> 0.6.0.3-alt5
- Rebuild for Firefox 2.0.0.6

* Sat Jul 21 2007 Nikolay A. Fetisov <naf@altlinux.ru> 0.6.0.3-alt4
- Rebuild for Firefox 2.0.0.5

* Thu Jul 05 2007 Nikolay A. Fetisov <naf@altlinux.ru> 0.6.0.3-alt3
- Rebuild for Firefox 2.0.0.4

* Wed Mar 14 2007 Nikolay A. Fetisov <naf@altlinux.ru> 0.6.0.3-alt2
- Rebuild for Firefox 2.0.0.2

* Mon Dec 04 2006 Nikolay A. Fetisov <naf@altlinux.ru> 0.6.0.3-alt1
- New version
- Rebuild for Firefox 2.0
  - removes obsolete macros
  - replace 'set_firefox_noarch' macro with 'BuildArch' tag

* Sun Sep 24 2006 Nikolay A. Fetisov <naf@altlinux.ru> 0.6.0.2-alt4
- Rebuild for Firefox 1.5.0.7

* Wed Aug 09 2006 Nikolay A. Fetisov <naf@altlinux.ru> 0.6.0.2-alt3
- Rebuild for Firefox 1.5.0.6

* Sun Jul 23 2006 Nikolay A. Fetisov <naf@altlinux.ru> 0.6.0.2-alt2
- Fix for #9803, adding chrome.manifest

* Thu Jun 15 2006 Alexey Gladkov <legion@altlinux.ru> 0.6.0.2-alt1.1.1
- NMU: rebuild with firefox 1.5.0.4

* Mon May 15 2006 Alexey Gladkov <legion@altlinux.ru> 0.6.0.2-alt1.1
- NMU: rebuild with firefox 1.5.0.3

* Mon Feb 20 2006 Alexey Gladkov <legion@altlinux.ru> 0.6.0.2-alt1
- NMU
- new version
- rebuild with firefox 1.5.0.1

* Tue Dec 20 2005 Alexey Gladkov <legion@altlinux.ru> 0.6.0-alt1.1
- rebuild with firefox-1.5
- spec changes:
  * BuildRequires fix;
  * ghost file added;
  * new macros was used to fix multiarch problem.

* Sun Nov 20 2005 Nikolay A. Fetisov <naf@altlinux.ru> 0.6.0-alt1
- First build for ALT Linux

* Tue Sep 6 2005 Nikolay A. Fetisov <naf@altlinux.ru> 0.6.0-alt0
- Initial build
